<?php
// implement tinymce button

add_action('init', 'pc_action_admin_init');	
function pc_action_admin_init() {
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		return;

	if ( get_user_option('rich_editing') == 'true') {
		add_filter( 'mce_external_plugins', 'pc_filter_mce_plugin');
		add_filter( 'mce_buttons', 'pc_filter_mce_button');
	}
}
	
function pc_filter_mce_button( $buttons ) {
	array_push( $buttons, '|', 'pc_btn' );
	return $buttons;
}

function pc_filter_mce_plugin( $plugins ) {
	$plugins['PrivateContent'] = PC_URL . '/js/tinymce_btn.js';
	return $plugins;
}



add_action('admin_footer', 'pc_editor_btn_content');
function pc_editor_btn_content() {
	global $current_screen;
	
	if(
		strpos($_SERVER['REQUEST_URI'], 'post.php') || 
		strpos($_SERVER['REQUEST_URI'], 'post-new.php') || 
		$current_screen->id == 'pvtcont-add-ons_page_pcma_settings' ||
		$current_screen->id == 'privatecontent_page_pc_settings' ||
		$current_screen->id == 'pvtcont-add-ons_page_pcma_quick_mail'
	) :
	
		// lightbox instances
		$lb_instances = pc_get_lb_instances();
	
		// PC-FILTER - add tabs in shortcode wizard
		//// structure array(tab-id => array('name' => ... , 'contents' => ... )
		$add_tabs = apply_filters('pc_tinymce_tabs', array());
		if(!is_array($add_tabs)) {$add_tabs = array();}
	?>
    
    <div id="pvtcontent_sc_wizard" class="pc_displaynone">
    	<div class="lcwp_scw_choser_wrap pc_scw_choser_wrap">
            <select name="pc_scw_choser" class="lcwp_scw_choser pc_scw_choser" autocomplete="off">
                <option value="#pc_pvt_block" selected="selected"><?php esc_html_e('Private Block', PC_ML) ?></option>
                <option value="#pc_sc_reg"><?php esc_html_e('Registration Form', PC_ML) ?></option>
                <option value="#pc_login"><?php esc_html_e('Login Form', PC_ML) ?></option>
                <option value="#pc_logout"><?php esc_html_e('Logout Button', PC_ML) ?></option>
                <option value="#pc_user_del"><?php esc_html_e('User Deletion Box', PC_ML) ?></option>
                <?php
                foreach($add_tabs as $tab_id => $tab) {
                    echo '<option value="#'. $tab_id .'">'. esc_html($tab['name']) .'</option>';	
                }
                ?>	
            </select>	
        </div>
        
        <div id="pc_pvt_block" class="lcwp_scw_block pc_scw_block"> 
            <ul>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Who can can see contents?', PC_ML) ?></label>
               		<select name="pc_sc_allow" id="pc_sc_allow" multiple="multiple" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select categories', PC_ML) ?> .." autocomplete="off">
						<?php 
                        echo pc_user_cat_dd_opts();
                        ?>
                	</select>
                </li>
                <li class="lcwp_scw_field pc_scw_field pc_sc_block_wrap pc_displaynone">
                	<label><?php _e('Among them - want to block someone?', PC_ML) ?></label>
               		<select name="pc_sc_block" id="pc_sc_block" multiple="multiple" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select categories', PC_ML) ?> .." autocomplete="off">
						<?php 
                        echo pc_user_cat_dd_opts(false, false);
                        ?>
                	</select>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Hide warning box?', PC_ML) ?></label>
                    <input type="checkbox" id="pg-hide-warning" name="pg-hide-warning" value="1" class="ip_checks" autocomplete="off" />
                </li>
                
                <li class="lcwp_scw_field pc_scw_field pc_scw_wb_row">
                	<label><?php _e('Custom message for not allowed users', PC_ML) ?></label>
                    <textarea id="pg-text" name="pg-text" autocomplete="off"></textarea>
                </li>
                <li class="lcwp_scw_field pc_scw_field pc_scw_wb_row">
                	<label><?php _e("Login button's lightbox", PC_ML) ?></label>
               		<select name="pc_sc_login_lb" id="pc_sc_login_lb" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select an option', PC_ML) ?> .." autocomplete="off">
						<option value=""><?php esc_html_e('As default', PC_ML) ?></option>
						<option value="none"><?php esc_html_e('No login button', PC_ML) ?></option>
						<?php 
						foreach($lb_instances as $lb_id => $lb_name) {
							echo '<option value="'. esc_attr($lb_id) .'">'. esc_html($lb_name) .'</option>';	
						}
                        ?>
                	</select>
                </li>
                <li class="lcwp_scw_field pc_scw_field pc_scw_wb_row">
                	<label><?php _e("Registration button's lightbox", PC_ML) ?></label>
               		<select name="pc_sc_registr_lb" id="pc_sc_registr_lb" class="lcweb-chosen" data-placeholder="<?php _e('Select an option', PC_ML) ?> .." autocomplete="off">
						<option value=""><?php _e('As default', PC_ML) ?></option>
						<option value="none"><?php _e('No registration button', PC_ML) ?></option>
						<?php 
						foreach($lb_instances as $lb_id => $lb_name) {
							echo '<option value="'. $lb_id .'">'. $lb_name .'</option>';	
						}
                        ?>
                	</select>
                </li>
                
                <li class="lcwp_scw_field pc_scw_field">
                	<input type="button" id="pg-pvt-content-submit" class="button-primary" value="<?php esc_attr_e('Insert', PC_ML) ?>" name="submit"  />
                </li>
            </ul>
        </div>
        
        
        <div id="pc_sc_reg" class="lcwp_scw_block pc_scw_block">
            <ul>
            	<li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Which form?', PC_ML) ?></label>
                    <select name="pc_sc_rf_id" id="pc_sc_rf_id" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select an option', PC_ML) ?> .." autocomplete="off">
					  <?php 
                      $reg_forms = get_terms('pc_reg_form', 'hide_empty=0&order=DESC');
                      foreach($reg_forms as $rf) {
                          echo '<option value="'.$rf->term_id.'">'. esc_html($rf->name) .'</option>';
                      }
                      ?>
                    </select>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Layout', PC_ML) ?></label>
                    <select name="pc_sc_rf_layout" id="pc_sc_rf_layout" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select an option', PC_ML) ?> .." autocomplete="off">
                        <option value="" selected="selected"><?php esc_html_e('Default one', PC_ML) ?></option>
                        <option value="one_col"><?php esc_html_e('Single column', PC_ML) ?></option>
                        <option value="fluid"><?php esc_html_e('Fluid (multi column)', PC_ML) ?></option>
                    </select>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Custom categories assignment (ignored if field is in form)', PC_ML) ?></label>
                    <select name="pc_sc_rf_cat" id="pc_sc_rf_cat" multiple="multiple" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select categories', PC_ML) ?> .." autocomplete="off">
					  <?php 
                      foreach (get_terms('pg_user_categories', 'orderby=name&hide_empty=0') as $ucat) {
                        echo '<option value="'. $ucat->term_id .'">'. esc_html($ucat->name) .'</option>';		
                      }	
                      ?>
                    </select>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Custom redirect (use a valid URL or "<em>refresh</em>" keyword)', PC_ML) ?></label>
                    <input type="text" name="pc_sc_rf_redirect" id="pc_sc_rf_redirect" value="" autocomplete="off" />
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Form alignment', PC_ML) ?></label>
                    <select name="pc_sc_rf_align" id="pc_sc_rf_align" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select an option', PC_ML) ?> .." autocomplete="off">
                        <option value="center" selected="selected"><?php esc_html_e('Center', PC_ML) ?></option>
                        <option value="left"><?php esc_html_e('Left', PC_ML) ?></option>
                        <option value="right"><?php esc_html_e('Right', PC_ML) ?></option>
                    </select>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<input type="button" id="pg-regform-submit" class="button-primary" value="<?php esc_attr_e('Insert Form', PC_ML) ?>" name="submit" />
                </li>
       		</ul>
        </div> 
        
        
        <div id="pc_login" class="lcwp_scw_block pc_scw_block">
            <ul>
            	<li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Custom redirect (use a valid URL or "<em>refresh</em>" keyword)', PC_ML) ?></label>
                    <input type="text" name="pc_sc_lf_redirect" id="pc_sc_lf_redirect" value="" autocomplete="off" />
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Form alignment', PC_ML) ?></label>
                    <select name="pc_sc_lf_align" id="pc_sc_lf_align" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select an option', PC_ML) ?> .." autocomplete="off">
                        <option value="center" selected="selected"><?php esc_html_e('Center', PC_ML) ?></option>
                        <option value="left"><?php esc_html_e('Left', PC_ML) ?></option>
                        <option value="right"><?php esc_html_e('Right', PC_ML) ?></option>
                    </select>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<input type="button" id="pg-loginform-submit" class="button-primary" value="<?php esc_attr_e('Insert Form', PC_ML) ?>" name="submit" />
                </li>
       		</ul>
        </div>  
        
        
        <div id="pc_logout" class="lcwp_scw_block pc_scw_block">
            <ul>
            	<li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Custom redirect (use a valid URL)', PC_ML) ?></label>
                    <input type="text" name="pc_sc_lb_redirect" id="pc_sc_lb_redirect" value="" autocomplete="off" />
                    <p><?php _e("<strong>NOTE:</strong> is possible to directly logout users adding <em>?pc_logout</em> to any site's URL.<br/>Example: <em>http://www.mysite.com/?pc_logout</em>", PC_ML); ?></p>
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<input type="button" id="pg-logoutbox-submit" class="button-primary" value="<?php esc_attr_e('Insert Button', PC_ML) ?>" name="submit" />
                </li>
       		</ul>
        </div>   


		<div id="pc_user_del" class="lcwp_scw_block pc_scw_block">
            <ul>
            	<li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Form alignment', PC_ML) ?></label>
                    <select name="pc_sc_udel_align" class="lcweb-chosen" data-placeholder="<?php esc_attr_e('Select an option', PC_ML) ?> .." autocomplete="off">
                        <option value="center" selected="selected"><?php esc_html_e('Center', PC_ML) ?></option>
                        <option value="left"><?php esc_html_e('Left', PC_ML) ?></option>
                        <option value="right"><?php esc_html_e('Right', PC_ML) ?></option>
                    </select>
                </li>
            	<li class="lcwp_scw_field pc_scw_field">
                	<label><?php _e('Custom redirect (use a valid URL)', PC_ML) ?></label>
                    <input type="text" name="pc_sc_udel_redirect" value="" autocomplete="off" />
                </li>
                <li class="lcwp_scw_field pc_scw_field">
                	<input type="button" id="pg-userdel-submit" class="button-primary" value="<?php esc_attr_e('Insert Box', PC_ML) ?>" name="submit" />
                </li>
       		</ul>
        </div>   

        
        <?php
        // additional tabs
        foreach($add_tabs as $tab_id => $tab) {
            echo '<div id="'.$tab_id.'" class="lcwp_scw_block pc_scw_block">'. $tab['contents'] .'</div>';	
        }
        ?>
    </div>    
    
    <?php
	endif;
	return true;
}


